package be.syntra;


import org.springframework.context.support.ClassPathXmlApplicationContext;

public class App {

  public static void main(String[] args) {

    ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext("applicationContext.xml");
    Coach coach = context.getBean("coachBean",Coach.class);

    //call method from bean
    System.out.println(coach.getDailyWorkout());

    //get diet recommendation
    System.out.println(coach.getDailyMeal());

    context.close();

  }
}